/Account
PUT
/Account
const url = 'https://api.chatfood.app/Account';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "name": "example", "pictureUrl": "example", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pages": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "providerId": 1, "referenceId": "example", "name": "example", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryName": "example", "categoryVariableGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "timeZone": "example", "language": "example", "currency": "example", "countryCode": "example", "appId": "example", "metaAppId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metaAppName": "example", "status": 0, "accountName": "example", "lastConnectedAt": "2026-04-15T12:00:00Z", "connectedByName": "example", "connectedProfiles": [ { "id": "example", "name": "example", "hasActiveToken": true } ], "openIssueCount": 1, "loggedIssueCount24h": 1, "leadCount": 1, "leadsToday": 1, "leads7d": 1, "profileCounts": { "total": 1, "active": 1, "blocked": 1, "deleted": 1 }, "connectedApps": [ { "metaAppId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "appId": "example", "channel": 0, "status": 0, "connectedAt": "2026-04-15T12:00:00Z", "connectedByName": "example", "connectedById": "example" } ], "urls": [ { "host": "example", "url": "example", "source": 0, "label": "example", "weight": 1, "health": 0, "healthChangedAt": "2026-04-15T12:00:00Z" } ], "urlCount": 1, "integrityStatus": "example", "integrityStatusChangedAt": "2026-04-15T12:00:00Z", "integrityViolationTypes": [ "example" ], "schemas": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "channelTrigger": 0, "isKeywordOnly": true, "updatedAt": "2026-04-15T12:00:00Z" } ], "issues": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "pageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tokenId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metaAppId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metaAppName": "example", "scope": "example", "type": 0, "status": 0, "severity": 1, "errorCode": 1, "errorSubcode": 1, "message": "example", "occurrenceCount": 1, "firstOccurrenceAt": "2026-04-15T12:00:00Z", "lastOccurrenceAt": "2026-04-15T12:00:00Z", "resolvedAt": "2026-04-15T12:00:00Z", "resolvedBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "resolutionNote": "example", "connectionEpoch": 1, "occurredAt": "2026-04-15T12:00:00Z", "isStale": true, "isCurrentConnection": true } ], "pageToken": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "pageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "accessToken": "example", "status": 0, "channel": 0, "metaAppId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ], "variables": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "pageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "key": "example", "value": "example", "dynamicValue": "example", "type": 0 } ], "category": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } } ] }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.chatfood.app/Account \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "name": "example", "pictureUrl": "example", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pages": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "providerId": 1, "referenceId": "example", "name": "example", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryName": "example", "categoryVariableGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "timeZone": "example", "language": "example", "currency": "example", "countryCode": "example", "appId": "example", "metaAppId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metaAppName": "example", "status": 0, "accountName": "example", "lastConnectedAt": "2026-04-15T12:00:00Z", "connectedByName": "example", "connectedProfiles": [ { "id": "example", "name": "example", "hasActiveToken": true } ], "openIssueCount": 1, "loggedIssueCount24h": 1, "leadCount": 1, "leadsToday": 1, "leads7d": 1, "profileCounts": { "total": 1, "active": 1, "blocked": 1, "deleted": 1 }, "connectedApps": [ { "metaAppId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "appId": "example", "channel": 0, "status": 0, "connectedAt": "2026-04-15T12:00:00Z", "connectedByName": "example", "connectedById": "example" } ], "urls": [ { "host": "example", "url": "example", "source": 0, "label": "example", "weight": 1, "health": 0, "healthChangedAt": "2026-04-15T12:00:00Z" } ], "urlCount": 1, "integrityStatus": "example", "integrityStatusChangedAt": "2026-04-15T12:00:00Z", "integrityViolationTypes": [ "example" ], "schemas": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "channelTrigger": 0, "isKeywordOnly": true, "updatedAt": "2026-04-15T12:00:00Z" } ], "issues": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "pageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tokenId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metaAppId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metaAppName": "example", "scope": "example", "type": 0, "status": 0, "severity": 1, "errorCode": 1, "errorSubcode": 1, "message": "example", "occurrenceCount": 1, "firstOccurrenceAt": "2026-04-15T12:00:00Z", "lastOccurrenceAt": "2026-04-15T12:00:00Z", "resolvedAt": "2026-04-15T12:00:00Z", "resolvedBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "resolutionNote": "example", "connectionEpoch": 1, "occurredAt": "2026-04-15T12:00:00Z", "isStale": true, "isCurrentConnection": true } ], "pageToken": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "pageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "accessToken": "example", "status": 0, "channel": 0, "metaAppId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ], "variables": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "pageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "key": "example", "value": "example", "dynamicValue": "example", "type": 0 } ], "category": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } } ] }'Authorizations
Seção intitulada “Authorizations”Request Body
Seção intitulada “Request Body”object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
name
string
pictureUrl
string
createdBy
string format: uuid
pages
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
providerId
integer format: int32
referenceId
string
name
string
createdBy
string format: uuid
categoryId
string format: uuid
categoryName
string
categoryVariableGroupId
string format: uuid
timeZone
string
language
string
currency
string
countryCode
string
appId
string
metaAppId
string format: uuid
metaAppName
string
status
integer format: int32
accountName
string
lastConnectedAt
string format: date-time
connectedByName
string
connectedProfiles
Array<object>
object
id
string
name
string
hasActiveToken
boolean
openIssueCount
integer format: int32
loggedIssueCount24h
integer format: int32
leadCount
integer format: int64
leadsToday
integer format: int64
leads7d
integer format: int64
profileCounts
object
total
integer format: int64
active
integer format: int64
blocked
integer format: int64
deleted
integer format: int64
connectedApps
Array<object>
object
metaAppId
string format: uuid
name
string
appId
string
channel
integer format: int32
status
integer format: int32
connectedAt
string format: date-time
connectedByName
string
connectedById
string
urls
Array<object>
object
host
string
url
string
source
integer format: int32
label
string
weight
integer format: int32
health
integer format: int32
healthChangedAt
string format: date-time
urlCount
integer format: int32
integrityStatus
string
integrityStatusChangedAt
string format: date-time
integrityViolationTypes
Array<string>
schemas
Array<object>
object
id
string format: uuid
name
string
channelTrigger
integer format: int32
isKeywordOnly
boolean
updatedAt
string format: date-time
issues
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
tokenId
string format: uuid
metaAppId
string format: uuid
metaAppName
string
scope
string
type
integer format: int32
status
integer format: int32
severity
integer format: int32
errorCode
integer format: int32
errorSubcode
integer format: int32
message
string
occurrenceCount
integer format: int32
firstOccurrenceAt
string format: date-time
lastOccurrenceAt
string format: date-time
resolvedAt
string format: date-time
resolvedBy
string format: uuid
resolutionNote
string
connectionEpoch
integer format: int32
occurredAt
string format: date-time
isStale
boolean
isCurrentConnection
boolean
pageToken
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
accessToken
string
status
integer format: int32
channel
integer format: int32
metaAppId
string format: uuid
variables
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
category
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
name
string
createdBy
string format: uuid
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
name
string
pictureUrl
string
createdBy
string format: uuid
pages
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
providerId
integer format: int32
referenceId
string
name
string
createdBy
string format: uuid
categoryId
string format: uuid
categoryName
string
categoryVariableGroupId
string format: uuid
timeZone
string
language
string
currency
string
countryCode
string
appId
string
metaAppId
string format: uuid
metaAppName
string
status
integer format: int32
accountName
string
lastConnectedAt
string format: date-time
connectedByName
string
connectedProfiles
Array<object>
object
id
string
name
string
hasActiveToken
boolean
openIssueCount
integer format: int32
loggedIssueCount24h
integer format: int32
leadCount
integer format: int64
leadsToday
integer format: int64
leads7d
integer format: int64
profileCounts
object
total
integer format: int64
active
integer format: int64
blocked
integer format: int64
deleted
integer format: int64
connectedApps
Array<object>
object
metaAppId
string format: uuid
name
string
appId
string
channel
integer format: int32
status
integer format: int32
connectedAt
string format: date-time
connectedByName
string
connectedById
string
urls
Array<object>
object
host
string
url
string
source
integer format: int32
label
string
weight
integer format: int32
health
integer format: int32
healthChangedAt
string format: date-time
urlCount
integer format: int32
integrityStatus
string
integrityStatusChangedAt
string format: date-time
integrityViolationTypes
Array<string>
schemas
Array<object>
object
id
string format: uuid
name
string
channelTrigger
integer format: int32
isKeywordOnly
boolean
updatedAt
string format: date-time
issues
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
tokenId
string format: uuid
metaAppId
string format: uuid
metaAppName
string
scope
string
type
integer format: int32
status
integer format: int32
severity
integer format: int32
errorCode
integer format: int32
errorSubcode
integer format: int32
message
string
occurrenceCount
integer format: int32
firstOccurrenceAt
string format: date-time
lastOccurrenceAt
string format: date-time
resolvedAt
string format: date-time
resolvedBy
string format: uuid
resolutionNote
string
connectionEpoch
integer format: int32
occurredAt
string format: date-time
isStale
boolean
isCurrentConnection
boolean
pageToken
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
accessToken
string
status
integer format: int32
channel
integer format: int32
metaAppId
string format: uuid
variables
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
category
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
name
string
createdBy
string format: uuid
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
name
string
pictureUrl
string
createdBy
string format: uuid
pages
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
providerId
integer format: int32
referenceId
string
name
string
createdBy
string format: uuid
categoryId
string format: uuid
categoryName
string
categoryVariableGroupId
string format: uuid
timeZone
string
language
string
currency
string
countryCode
string
appId
string
metaAppId
string format: uuid
metaAppName
string
status
integer format: int32
accountName
string
lastConnectedAt
string format: date-time
connectedByName
string
connectedProfiles
Array<object>
object
id
string
name
string
hasActiveToken
boolean
openIssueCount
integer format: int32
loggedIssueCount24h
integer format: int32
leadCount
integer format: int64
leadsToday
integer format: int64
leads7d
integer format: int64
profileCounts
object
total
integer format: int64
active
integer format: int64
blocked
integer format: int64
deleted
integer format: int64
connectedApps
Array<object>
object
metaAppId
string format: uuid
name
string
appId
string
channel
integer format: int32
status
integer format: int32
connectedAt
string format: date-time
connectedByName
string
connectedById
string
urls
Array<object>
object
host
string
url
string
source
integer format: int32
label
string
weight
integer format: int32
health
integer format: int32
healthChangedAt
string format: date-time
urlCount
integer format: int32
integrityStatus
string
integrityStatusChangedAt
string format: date-time
integrityViolationTypes
Array<string>
schemas
Array<object>
object
id
string format: uuid
name
string
channelTrigger
integer format: int32
isKeywordOnly
boolean
updatedAt
string format: date-time
issues
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
tokenId
string format: uuid
metaAppId
string format: uuid
metaAppName
string
scope
string
type
integer format: int32
status
integer format: int32
severity
integer format: int32
errorCode
integer format: int32
errorSubcode
integer format: int32
message
string
occurrenceCount
integer format: int32
firstOccurrenceAt
string format: date-time
lastOccurrenceAt
string format: date-time
resolvedAt
string format: date-time
resolvedBy
string format: uuid
resolutionNote
string
connectionEpoch
integer format: int32
occurredAt
string format: date-time
isStale
boolean
isCurrentConnection
boolean
pageToken
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
accessToken
string
status
integer format: int32
channel
integer format: int32
metaAppId
string format: uuid
variables
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
category
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
name
string
createdBy
string format: uuid
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
name
string
pictureUrl
string
createdBy
string format: uuid
pages
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
providerId
integer format: int32
referenceId
string
name
string
createdBy
string format: uuid
categoryId
string format: uuid
categoryName
string
categoryVariableGroupId
string format: uuid
timeZone
string
language
string
currency
string
countryCode
string
appId
string
metaAppId
string format: uuid
metaAppName
string
status
integer format: int32
accountName
string
lastConnectedAt
string format: date-time
connectedByName
string
connectedProfiles
Array<object>
object
id
string
name
string
hasActiveToken
boolean
openIssueCount
integer format: int32
loggedIssueCount24h
integer format: int32
leadCount
integer format: int64
leadsToday
integer format: int64
leads7d
integer format: int64
profileCounts
object
total
integer format: int64
active
integer format: int64
blocked
integer format: int64
deleted
integer format: int64
connectedApps
Array<object>
object
metaAppId
string format: uuid
name
string
appId
string
channel
integer format: int32
status
integer format: int32
connectedAt
string format: date-time
connectedByName
string
connectedById
string
urls
Array<object>
object
host
string
url
string
source
integer format: int32
label
string
weight
integer format: int32
health
integer format: int32
healthChangedAt
string format: date-time
urlCount
integer format: int32
integrityStatus
string
integrityStatusChangedAt
string format: date-time
integrityViolationTypes
Array<string>
schemas
Array<object>
object
id
string format: uuid
name
string
channelTrigger
integer format: int32
isKeywordOnly
boolean
updatedAt
string format: date-time
issues
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
tokenId
string format: uuid
metaAppId
string format: uuid
metaAppName
string
scope
string
type
integer format: int32
status
integer format: int32
severity
integer format: int32
errorCode
integer format: int32
errorSubcode
integer format: int32
message
string
occurrenceCount
integer format: int32
firstOccurrenceAt
string format: date-time
lastOccurrenceAt
string format: date-time
resolvedAt
string format: date-time
resolvedBy
string format: uuid
resolutionNote
string
connectionEpoch
integer format: int32
occurredAt
string format: date-time
isStale
boolean
isCurrentConnection
boolean
pageToken
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
accessToken
string
status
integer format: int32
channel
integer format: int32
metaAppId
string format: uuid
variables
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
category
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
name
string
createdBy
string format: uuid
Responses
Seção intitulada “Responses”OK